<script setup lang="ts">
const podcast = {
  name: 'Podcast title',
  tracks_count: 8,
  artist: {
    name: 'Podcast owner',
    modification_date: '2022-09-11',
    cover: {
      urls: {
        original: 'https://images.unsplash.com/photo-1524650359799-842906ca1c06?ixlib=rb-1.2.1&dl=te-nguyen-Wt7XT1R6sjU-unsplash.jpg&w=640&q=80&fm=jpg&crop=entropy&cs=tinysrgb'
      }
    }
  },
}
</script>

# Podcast card

Podcast cards are specialized cards that represent a podcast in Funkwhale's interface. Pass a podcast object to the `podcast` prop to generate a card with the following:

- The podcast's image
- The podcast's title
- The owner of the podcast
- The date at which the podcast was last updated

| Prop | Data type | Required? | Description |
| ---- | ---------- | ---------- | ------------ |
| `podcast` | Podcast object | Yes | The podcast represented by the card. |

The card includes a [popover](../popover/index.md) containing other actions the user can perform.

```vue-html
<fw-podcast-card :podcast="podcast" />
```

<fw-podcast-card :podcast="podcast" />
