<script setup lang="ts">
const radio = {
  name: 'Less Listened',
  description: 'First artist, Second Artist, One Other Artist, Yet Another One'
}
</script>

# Radio card

Radio cards are specialized cards that represent radios in Funkwhale's interface. Radio cards populate with the following information:

- The radio title
- The radio description

The card includes a [play button](../button/play.md) that starts the radio.

| Prop | Data type | Required? | Description |
| ---- | ---------- | ---------- | ------------ |
| `radio` | Radio object | Yes | The radio the card represents |
| `small` | Boolean | No | Controls whether the card is small or normal sized |
| `blue` | Boolean | No | Creates a blue card |
| `red` | Boolean | No | Creates a red card |
| `purple` | Boolean | No | Creates a purple card |
| `green` | Boolean | No | Creates a green card |
| `yellow` | Boolean | No | Creates a yellow card |

## Card colors

You can choose what color a radio card is by passing a supported color as a prop.
### Blue

::: info
This is the default color. If you don't pass a color, a blue card is rendered.
:::

```vue-html
<fw-radio-card blue :radio="radio" />
```

<fw-radio-card blue :radio="radio" />

### Red

```vue-html
<fw-radio-card red :radio="radio" />
```

<fw-radio-card red :radio="radio" />

### Purple

```vue-html
<fw-radio-card purple :radio="radio" />
```

<fw-radio-card purple :radio="radio" />

### Green

```vue-html
<fw-radio-card green :radio="radio" />
```

<fw-radio-card green :radio="radio" />

### Yellow

```vue-html
<fw-radio-card yellow :radio="radio" />
```

<fw-radio-card yellow :radio="radio" />

## Card sizes

You can control the size of a radio card by adding a `small` prop.

### Normal card

Normal radio cards contain the radio title and description.

```vue-html
<fw-radio-card :radio="radio" />
```

<fw-radio-card :radio="radio" />

### Small card

Small radio cards contain only the radio title.

```vue-html
<fw-radio-card small :radio="radio" />
```

<fw-radio-card small :radio="radio" />
